import javax.naming.*;
import java.io.File;
import java.util.Hashtable;

/**
  * Demonstrates how to create a new subcontext called "new".
  * (Run Destroy after this to remove the subcontext).
  *
  * usage: java Create
  */
class Create {
    public static void main(String[] args) {

	// Set up environment for creating initial context
	Hashtable env = new Hashtable(11);
	env.put(Context.INITIAL_CONTEXT_FACTORY, 
	    "com.sun.jndi.fscontext.RefFSContextFactory");
	env.put(Context.PROVIDER_URL, "file:/tmp/tutorial");

	try {
	    // Create the initial context
	    Context ctx = new InitialContext(env);

	    // Create the context
	    Context result = ctx.createSubcontext("new");

	    // Check that it was created by listing its parent
	    NamingEnumeration list = ctx.list("");

	    // Go through each item in list
	    while (list.hasMore()) {
		NameClassPair nc = (NameClassPair)list.next();
		System.out.println(nc);
	    }
	} catch (NamingException e) {
	    System.out.println("Create failed: " + e);
	}
    }
}
